<template>
    <v-footer color="black"
              height="auto"
              class="footer"
              app>
        <Menu :menu="links"/>
        <v-spacer/>
        <SocialMediaMenu :menu="socialMediaMenu"/>
        <Copyright/>
    </v-footer>
</template>

<script>
import Copyright from './Menu/Copyright'
import Menu from './Menu/Menu'
import SocialMediaMenu from './Menu/SocialMediaMenu'
export default {
    name: 'Footer',
    components: {
        Copyright,
        Menu,
        SocialMediaMenu,
    },
    data: () => ({
        links: {
            terms: {
                name: 'Terms & Conditions',
                route: 'Terms'
            },
            policy: {
                name: 'Privacy Policy',
                route: 'Policy'
            }
        },
        socialMediaMenu: {
            instagram: {
                icon: 'instagram',
                route: ''
            },
            facebook: {
                icon: 'facebook',
                route: ''
            },
            twitter: {
                icon: 'twitter',
                route: ''
            }
        }
    })
}
</script>

<style lang="scss" scoped>
    .footer {
        position: initial;
    }
</style>
